diff -Naur a/drivers/net/usb/qmi_wwan.c b/drivers/net/usb/qmi_wwan.c
--- a/drivers/net/usb/qmi_wwan.c	2020-01-20 21:01:57.551972212 +0000
+++ b/drivers/net/usb/qmi_wwan.c	2020-01-20 22:15:20.416936265 +0000
@@ -434,7 +434,8 @@
 	 * MDM9x30 is the first QMI chipset with USB3 support. Abuse
 	 * this fact to enable the quirk.
 	 */
-	if (le16_to_cpu(dev->udev->descriptor.bcdUSB) >= 0x0201) {
+	if (dev->udev->descriptor.idProduct == 0x68c0 ||
+	    le16_to_cpu(dev->udev->descriptor.bcdUSB) >= 0x0201) {
 		qmi_wwan_manage_power(dev, 1);
 		qmi_wwan_change_dtr(dev, true);
 	}
@@ -468,7 +469,8 @@
 		info->subdriver->disconnect(info->control);
 
 	/* disable MDM9x30 quirk */
-	if (le16_to_cpu(dev->udev->descriptor.bcdUSB) >= 0x0201) {
+	if (dev->udev->descriptor.idProduct == 0x68c0 ||
+	    le16_to_cpu(dev->udev->descriptor.bcdUSB) >= 0x0201) {
 		qmi_wwan_change_dtr(dev, false);
 		qmi_wwan_manage_power(dev, 0);
 	}

